#!/usr/bin/env python3
# Copyright (C) 2025 Spearhead Systems SRL

from datetime import datetime, timedelta
from cmk.server_side_calls.v1 import noop_parser, SpecialAgentConfig, SpecialAgentCommand


def _agent_arguments(params, host_config):
    today = datetime.today()
    
    args = params["domains"]
    for key in ["days_crit", "days_warn"]:
        date = (today + timedelta(days=params[key])).date()
        args.append(str(date))
    
    yield SpecialAgentCommand(command_arguments=args)


special_agent_domains_expiry = SpecialAgentConfig(
    name="domains_expiry",
    parameter_parser=noop_parser,
    commands_function=_agent_arguments,
)
